PDA

View Full Version : Noob questions on original Il2 Sturmovik



Ales_Majer
10-30-2004, 02:02 PM
Today i bought the original Il2 Sturmovik (only 7 Euro's http://forums.ubi.com/groupee_common/emoticons/icon_cool.gif ) and i got a few questions about it. Would be gretat if somebody could help me out.

My Trainingsmissions (basically the movie files) crash. (During Taxiing, my ME109 crashes into a Flak-Panzer or something). Why does that happen with the original Training-tracks?

Taxiing is a big nono for me. How do i manouver my plane on the ground? I can break pressing B but i cannot brake the seperate wheels on the plane which make the plane move left / right.

Is it correct that i cannot choose a Bomber career when flying in the Luftwaffe?

The version i have bought today is version 1.03a. Which patches do you guys reccomend i get?

Thanks in advance for any help!

Atomic_Marten
10-30-2004, 02:22 PM
First of,
Welcome.

Taxiing? You will be taxi-master when you get yourself some practice time.

Three things to watch while taxiing: your speed, usageof ruder, and brakes. I can't give you specific description how to taxi a/c, since they all respond different. But for practice once when on runway, set throttle to 20-40% gain some speed then reduce throttle apply brakes in combination with rudder in desired direction and you will get the 'feelin' fast...

In later versions of the game, you can choose bomber (He111) but in original versions of IL-2, I do not know. Patch your original version of IL-2 through downloasding patches via 3dGamers site (they have bunch of patches and stuff http://forums.ubi.com/groupee_common/emoticons/icon_biggrin.gif). I can't tell you what's the latest patch for orig.IL-2, but I'm sure you will manage with that. Also you can do a little search on google, for IL-2 patches and versions. Do *not* download patches for Forgotten Battles (FB), only for orig.IL-2. Hope this helps a little.

robotech
10-30-2004, 02:40 PM
If my memory serves that only happens after you patch the game. It should not crash if you try the training missions right out of the box without any patches (i think it was version 1.0 that I used right out of the box). I personally liked the way the original il2 did their training missions where the player could jump in anytime during the training it was a nice touch.

Taylortony
10-30-2004, 06:00 PM
HI,I originally wrote this below many moons ago to help people, to get it to the full patch you need to go up to 1.20 i would not bother with the VO version as it just allowed a bit of sound editing.. Explore your cd as some did have the patches in a folder on them. I would suggest you go here and work your way through this as it tells you what to get ok
http://www.il2sturmovik.com/games_elts/updates.php
By the way if you get the movie everytime you start the game you can turn it off on the setup window http://forums.ubi.com/groupee_common/emoticons/icon_smile.gif


This page has been done by myself to try to help you through the lack of information on how to connect to IL2 Online.

Okay, first i will give you a bit of background information to explain the patches available, why you need to upgrade and then how to patch the game.

The original game that came on your disc is version 1.0

Ubi Soft then brought out the first patch to add extra Aircraft and features to the online game and this patch came out as
IL-2 Sturmovik Combined Patch V1.04 - il2patch_104-combined.exe (58 MB)
although you can download this in sections.

As they added more Aircraft and features Ubi Soft then brought out a new patch to upgrade the 1.04 version patch to the latest version, this they called
IL-2 Sturmovik Upgrade Version 1.1 from Version 1.0.4x - il2upgrade_1.1b.exe (31 MB)

But realising people with faster connections people would not want to download several patches to bring their game up to the current version they also released a second patch at the same time, this was called
IL-2 Sturmovik Upgrade Version 1.1 from Version 1.0 - il2upgrade_1.1a.exe (75 MB)
and incorporated both 1.04 and 1.1b patches into a large single patch.

Now UBiSoft have added a further patch called
IL-2 Sturmovik Upgrade Version 1.2 from Version 1.1 - il2upgrade_1.2.exe ,
this patch also came in 2 versions, one with more facilities, but either of them can be used as the upgrade and
is designed to upgrade both versions of 1.1 to the latest standard.

All of these patches added more Aircraft and things like maps, YOU HAVE TO have the current version to play online.

When upgrading the patches, you have to install the correct versions, mixing them will not work, if you do mix them up you will have to re install the game and repatch it to get it to run online.
Modem users without any download software, i would recommend using the 3 patch route, as you might time out before you get the larger 1.1a patch, other users, Cable, ADSL etc, I would go for the 2 patch route.

So the patches routes need to be either

1.04 >>>>>1.1b >>>> 1.2 or 1.2vo

or

1.1a >>>> 1.2 or 1.2vo

When you have downloaded the patches you MUST install them in the correct order and unzip them into the IL2 Folder on your hard drive, the folder will be somewhere like
C Drive......................Program Files........................Ubi Soft................................IL2 Sturmovik......... it is this file you must unzip into, NO OTHER.

The patches can be downloaded from either:-

http://www.il2sturmovik.com/games_elts/updates.php

or

http://www.3dgamers.com/games/il2sturmovik/

I would use the 3d Gamers link as the Ubi Soft one is slow, but you will probably need to use the Ubi Soft one now to get the 1.04 Patch.

When you have patched, look in the IL2 Folder, there should be a 1.1 and 1.2 read me file present if it has worked correctly, and when you go to join a game, it should say in the bottom left hand corner of the loading screen V 1.2, other problems you may have is with your firewall preventing it connecting, if in doubt ask in the main chat we will help
you, its a superb game online and we all have had these problems, believe me.

horseback
10-30-2004, 06:09 PM
The Original Il-2 Sturmovik patched up to 1.2, and there were no LW bomber campaigns included, altho the Ju 87 Stuka was added in the later patches. Up until recently, Ubisoft had the patches available somewhere on their website, but I just checked, and apparently they no longer support it.

I have the two major patches (1.01 to 1.1, and 1.1 to 1.2) on a CD/R somewhere, and probably on the hard drive of my 'old' computer. If you are unable to find a site with the patches to download or friend in your area with the patches, email me at horseback53@cox.net, and we can arrange for me to mail you a disk with the patches needed.

I really enjoyed the old Il-2, and I hope you will too.

cheers

horseback

Tully__
10-30-2004, 10:43 PM
Training missions only worked for version 1.0 because they're based on track files (recordings of real missions). The recording system used in the original game (and still used for the .trk format files in the current game) records control inputs only and relies on the flight model reacting the same way on replay as it did when recorded. As patches change the flight models, the tracks don't work on anything but the version they're recorded on.

During WW2 British & Russian aircraft used a different system to the current toe brakes for side to side brake bias. Instead of a seperate actuator for each side, they had a single actuator (usually hand operated) and bias balance controlled with rudder pedals. Brakes are modelled in the game in the same way. If you apply full right rudder while activating brakes, only the right side brakes will be activated and vice versa.

Patches for the most recent version of Sturmovik are:

1.1a (about 74MB)
1.2 (about 28MB)

Optional: 1.2ov (about 38MB) allows the use of edited or 3rd party voice files for AI pilots. It only works correctly if added after the other two patches and adds nothing beyond the ability to use edited voice files.

You can get IL2 Sturmovik patches from 3DGamers IL2Sturmovik downloads page (http://www.3dgamers.com/games/il2sturmovik/downloads/)

Jumoschwanz
10-31-2004, 09:06 AM
That is too bad Ubi stopped supporting the old Il2. I have all the patches for it to if anyone needs them, and was just playing it online with a few others on HL today when I got tired of looking at all the Pacific servers in the Forgotten Battles room. So if anyone needs them let me know. There is a lot of information in the readme section of each old patch. Some of which is hard to find elswhere. S!

Jumoschwanz

NorrisMcWhirter
10-31-2004, 09:22 AM
<BLOCKQUOTE class="ip-ubbcode-quote"><font size="-1">quote:</font><HR>Originally posted by Ales_Majer:
Today i bought the original Il2 Sturmovik (only 7 Euro's http://forums.ubi.com/groupee_common/emoticons/icon_cool.gif ) and i got a few questions about it. Would be gretat if somebody could help me out.

My Trainingsmissions (basically the movie files) crash. (During Taxiing, my ME109 crashes into a Flak-Panzer or something). Why does that happen with the original Training-tracks?

Taxiing is a big nono for me. How do i manouver my plane on the ground? I can break pressing B but i cannot brake the seperate wheels on the plane which make the plane move left / right.

Is it correct that i cannot choose a Bomber career when flying in the Luftwaffe?

The version i have bought today is version 1.03a. Which patches do you guys reccomend i get?

Thanks in advance for any help! <HR></BLOCKQUOTE>

You've made a good buy, there, m8..and best of luck with all the learning you are about to embark on.

If it all gets too much, and you want an easier experience, Forgotten Battles should be pretty inexpensive these days http://forums.ubi.com/groupee_common/emoticons/icon_wink.gif

Cheers,
Norris

WTE_Galway
10-31-2004, 03:22 PM
The original IL2 is less forgiving and harder to fly than later versions.

Whether "harder" translates to "more realistic" is a contentious issue we do need to get into at this point.

As far as taxi-ing goes .. there are two basic techniques ..

1) use bursts of full throttle to get some airflow over the rudder
2) while rolling use rudder bar and brakes in combination to turn with brakes

also in the original IL2 its very important to use rudder to recover a dropped wing on takeoff not stick and if you fly 109's they need a serious amount of right rudder on full throttle even flying straight and level much more than in newer games

Sarpedon688
10-31-2004, 04:17 PM
First of all welcome

Just a note on the original IL2 and something that has no bearing on any question you asked but was something that agrivated me for a while until I found the solution. With the paches you get a new russian campaign for the BI-1

In the third mission you start on the tarmac and your engine is unable to start this isn't a problem if you choses no take offs and landings but you want to do that right. This is the solution.

Go to the BI-1 mission folder located in the IL2 sturmovik folder.

path = Missions/Campaign/RU/Bi-1

open the file labled BI-1_02 the .MIS file with wordpad and find this piece right at the top.

[MAIN]
MAP Moscow/load.ini
TIME 17.0
CloudType 1
CloudHeight 1500.0
player r0100
army 1
playerNum 0
[Wing]
r0100
[r0100]
Planes 1
Skill 1
Class air.BI_1
Fuel 100
weapons none
[r0100_Way]
TAKEOFF 121429.20 74180.91 0 0
NORMFLY 116238.76 88385.40 1000.0 300.0
NORMFLY 103116.98 89161.21 4000.0 500.0
NORMFLY 102708.85 72835.44 500.0 250.0
LANDING 120811.63 75094.65 0 0

change it so it reads

[MAIN]
MAP Moscow/load.ini
TIME 17.0
CloudType 1
CloudHeight 1500.0
player r0100
army 1
playerNum 0
[Wing]
r0100
[r0100]
Planes 1
Skill 1
Class air.BI_1
Fuel 100
weapons none
[r0100_Way]
TAKEOFF 122390.92 74671.48 0 0
NORMFLY 116238.76 88385.40 1000.0 300.0
NORMFLY 103116.98 89161.21 4000.0 500.0
NORMFLY 102708.85 72835.44 500.0 250.0
LANDING 120811.63 75094.65 0 0

Save the changes and the problems solved. The mission will now start with the BI-1 on the runway with the engine able to be started.

Ales_Majer
11-01-2004, 05:01 AM
Wow!

Thanks alot for all the info, people! http://forums.ubi.com/images/smilies/11.gif

I'll probably buy PF for Christmas so this old Il2 is basically something for me to get the hang of things. When i get my new Joystick (I'm a southpaw http://forums.ubi.com/groupee_common/emoticons/icon_frown.gif ). It'll only get easier!

I'm now getting the hang of Taxiing so that's a start http://forums.ubi.com/groupee_common/emoticons/icon_wink.gif.

TooCooL34
11-01-2004, 05:06 AM
<BLOCKQUOTE class="ip-ubbcode-quote"><font size="-1">quote:</font><HR>Originally posted by Ales_Majer:
Wow!

Thanks alot for all the info, people! http://forums.ubi.com/images/smilies/11.gif

I'll probably buy PF for Christmas so this old Il2 is basically something for me to get the hang of things. When i get my new Joystick (I'm a southpaw http://forums.ubi.com/groupee_common/emoticons/icon_frown.gif ). It'll only get easier!

I'm now getting the hang of Taxiing so that's a start http://forums.ubi.com/groupee_common/emoticons/icon_wink.gif. <HR></BLOCKQUOTE>
Don't worry and stick to it. IL-2 is better than PF for now. http://forums.ubi.com/groupee_common/emoticons/icon_biggrin.gif